### Method

# Gtk RecentInfo create_app_info

#### Declaration [src]

    GAppInfo*
    gtk_recent_info_create_app_info (
      GtkRecentInfo* info,
      const char* app_name,
      GError** error
    )

#### Description [src]

Creates a `GAppInfo` for the specified `GtkRecentInfo`

In case of error, `error` will be set either with a `GTK_RECENT_MANAGER_ERROR` or a `G_IO_ERROR`.

#### Parameters

`app_name` | `const char*`
| The name of the application that should be mapped to a `GAppInfo`; if `NULL` is used then the default application for the MIME type is used.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GAppInfo*`
| The newly created `GAppInfo`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.